chipextract(1)

NAME
chipextract - Feature Correlation and Extraction Tool for ChIP-seq data analysis

SYNOPSIS
chipextract [ options ] -A <ref feature> -B <tar feature> -b <from> -e <to> -w <window> [ < ] [ SGA file ]

DESCRIPTION
chipextract reads a ChIP-seq data file (or from stdin [<]) in SGA format (<SGA file>) containing two features, a reference feature (<feature A>) and a target feature (<feature B>), correlates the genomic tag count distributions for the two features, and for each reference feature, it extracts target feature tags that fall into a distance range ([from,to]) relative to the reference feature.

Launching chipextract without any arguments will print the options list, along with their default values.

The feature specification must have the following format:

<feature> = <name> [<+|-|0[strandless]|a[any]|o[oriented]>]

Accepted strand values are the following: +|-|0[strandless]|a[any]|o[oriented]. If the strand is not specified, it is set to a[any] by default.

The <feature> parameter is a name that corresponds to the second field of the SGA file.

The SGA input file MUST BE sorted by sequence name (or chromosome id), position, and strand. One should check the input SGA file with the following command:

sort -s -c -k1,1 -k3,3n -k4,4 <SGA file>

The output is a table in text format consisting of all reference features (rows) with relative target tag counts in bins of a given size defined by <window> width (columns).

OPTIONS

-A <ref feature>
    The feature that is taken as a reference for correlating chIP-seq tag distances.

    This parameter is mandatory.

-B <tar feature>
    Tags corresponding to the target feature are positionally correlated to tags corresponding to the reference feature.

    This parameter is mandatory.

-b <from>
    The relative distance between the two features is analysed within a given range: <from> indicates the beginning.

-e <to>
    The relative distance between the two features is analysed within a given range: <to> indicates the end.

-c <cut-off>
    A value can be optionally specified as a cut-off for the target feature counts.

    This parameter is optional. Its default value is 1.

-d  Show debug info. The program performs the sorting order check of the input data file.

-h  Show the usage message.

-w  It indicates the histogram step size (in bp) or bin.

SEE ALSO
chipcor(1), chipcenter(1), chippeak(1) chippart(1) chipscore(1)